Subject: bug#3833 closed by Eli Zaretskii <[email-masked]> (Re: bug#3833: 23.0.96; Default for desktop-buffers-not-to-save omits files)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 18 Jul 2009 12:05:09 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3833: 23.0.96; Default for desktop-buffers-not-to-save omits files

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
3833: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3833
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3833: 23.0.96; Default for desktop-buffers-not-to-save omits files
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 18 Jul 2009 14:59:32 +0300

> Date: Thu, 16 Jul 2009 21:24:37 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Mon, 13 Jul 2009 21:48:02 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > > >> > BTW, I can't find a place in Gnus that creates buffers matching
> > > >> > "^nn\\.a[0-9]+".
> > > >>
> > > >> I guess I was mistaken.  No idea what those buffers match.
> > > >
> > > > OK to remove that as well?
> > > 
> > > This is the original ChangeLog entry.  Ring any bells to you?
> > 
> > No, but we can ask Morten.
> > 
> > Morten, do you remember anything about why you added "^nn\\.a[0-9]+"
> > to desktop-buffers-not-to-save?  Here's the log entry:
> > 
> > >   1994-02-04  Morten Welinder  ([email-masked])
> > > 
> > >     * desktop.el (desktop-buffers-not-to-save): Add regexp for "nn"
> > >     temporary files.
> > > 
> > > If not, it's probably historical baggage, so let's delete it.
> 
> Morten replied (in a private email) that this goes back to the "No
> News" newsreader, which is now RIP.
> 
> So unless someone hollers, I will remove the "^nn\\.a[0-9]+" pattern
> from desktop-buffers-not-to-save.

Done.

Subject: 23.0.96; Default for desktop-buffers-not-to-save omits files
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jul 2009 21:06:34 +0300

I restarted Emacs today on one of my machines (because I built a new
version), and suddenly some of the files I worked on in the previous
session were not visited by Emacs.  It took time for me to find which
files I was working on, because I don't keep records of all of the
files I have in my session: I trust desktop.el to do that.

Looking in desktop.el, I see that desktop-buffers-not-to-save
intentionally omits buffers whose names end in ".log" and a couple
others.  Sure thing, the files that were not visited after restarting
ended in ".log".

I think that variable's default should be nil.  I think it is up to
the user to decide that she doesn't want to record some of the
buffers/files.  It is no business of desktop.el to decide for the
user.  Especially since there is no way of telling desktop.el to
override the value of desktop-buffers-not-to-save for some specific
buffer, short of renaming the buffer.

Similarly with desktop-files-not-to-save: its default should be nil,
IMO.

In GNU Emacs 23.0.96.1 (i386-mingw-nt5.1.2600)
 of 2009-07-11 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default-enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  flyspell-mode: t
  desktop-save-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  abbrev-mode: t